Ogre::SceneManager::LightInfo Struct Reference

Cached light information, used to tracking light's changes. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions

bool | operator== (const LightInfo &rhs) const
bool | operator!= (const LightInfo &rhs) const

## Public Attributes

Light * | light
int | type
Real | range
Vector3 | position
uint32 | lightMask

## Detailed Description

Cached light information, used to tracking light's changes.

Definition at line 508 of file OgreSceneManager.h.

## Member Function Documentation

bool Ogre::SceneManager::LightInfo::operator!= | ( | const LightInfo & | rhs | ) | const

Definition at line 522 of file OgreSceneManager.h.

bool Ogre::SceneManager::LightInfo::operator== | ( | const LightInfo & | rhs | ) | const

Definition at line 516 of file OgreSceneManager.h.

References light, lightMask, position, range, and type.

## Member Data Documentation

Light* Ogre::SceneManager::LightInfo::light

Definition at line 510 of file OgreSceneManager.h.

Referenced by operator==().

uint32 Ogre::SceneManager::LightInfo::lightMask

Definition at line 514 of file OgreSceneManager.h.

Referenced by operator==().

Vector3 Ogre::SceneManager::LightInfo::position

Definition at line 513 of file OgreSceneManager.h.

Referenced by operator==().

Real Ogre::SceneManager::LightInfo::range

Definition at line 512 of file OgreSceneManager.h.

Referenced by operator==().

int Ogre::SceneManager::LightInfo::type

Definition at line 511 of file OgreSceneManager.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:37